Subject: Re: Surgery :(

From: [email-masked] (Stuart Reid)
Date: Thu, 22 Dec 94 12:52:13 GMT

In article <[email-masked]> [email-masked] writes:

> 
> In less than two days I am having a complete hysterectomy.  I have been 
> diagnosed with severe fibroid tumors in my uterus, as well as endometriosis.  
> This all became clear after a "scope" done last month.  I have tried other 
> alternatives to keep from having the surgery, and nothing has helped.  Things 
> are gradually getting worse.  My question is:  what type of tea can I drink 
> after surgery to speed my recovery time, and since I will be on estrogen 
> therapy the rest of my life, what type of tea/capsule might help that as well?
> 
> I want to thank everyone who warmly responded to my post several months back.  
> And I thank all of you who will respond to my post today.
> 
> Best wishes for a wonderful holiday!
> 
> Diane
> [email-masked]

Gee Diane   sorry to hear of your problems. I have not heard anything
that has gone before so I hope I do not repeat to many things.
I believe that all soy (that soybean) products have massive amounts
or estrogen in them.(There is a major discussion,scandal going on in
New Zealand at the moment for all sorts of ignorant reasons)  They
should help you with you estrogen requirments and are particluarly
anti-cancerous as well.  Japanese smoke like trains and have a very
low rate of cancer.

I Know you asked for a tea but I hope these comments might help.

Wish you luck

Stuart Reid    [email-masked]